<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [SortParameters](./react.sortparameters.md)

## SortParameters interface

<b>Signature:</b>

```typescript
export interface SortParameters 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [defaultSortColumn?](./react.sortparameters.defaultsortcolumn.md) |  | string | <i>(Optional)</i> |
|  [defaultSortDirection?](./react.sortparameters.defaultsortdirection.md) |  | SortDirection | <i>(Optional)</i> |
|  [onSort](./react.sortparameters.onsort.md) |  | [ColumnSelectFunction](./react.columnselectfunction.md) |  |
|  [sortColumn?](./react.sortparameters.sortcolumn.md) |  | string | <i>(Optional)</i> |
|  [sortDirection?](./react.sortparameters.sortdirection.md) |  | SortDirection | <i>(Optional)</i> |

